/system/schedulesAsk AIpost https://switch-ip/rest/v10.16/system/schedulesBody Paramscountinteger1 to 1000Maximum number of times the schedule can trigger. If not set, no limit is applied on the number of triggers. This is not applicable for 'one-shot' schedule type. Once schedule is triggered count number of times, the status changes to expired.days_of_montharray of integerslength ≤ 31Specify the days of the month associated with this schedule. If the day is greater than the number of days of that month, then the schedule gets triggered on last day of that month. This is only applicable when the schedule type is set to 'calendar' type.days_of_monthADD integerdays_of_weekarray of stringslength ≤ 7Specify the days of the week associated with this schedule. This is only applicable when the schedule type is set to 'calendar' type. Note: If both days_of_month and days_of_week are specified, then only days_of_week is considered.days_of_weekADD stringdescriptionstringlength between 1 and 128Description about the schedule.disablebooleanDisable the schedule.truefalsejobobjectReference Resource: JobJobs associated with this schedule.job objectnamestringrequiredlength between 1 and 64Reference Resource: ScheduleSchedule name.periodicityobjectSpecify the periodic interval associated with this schedule. This is only applicable when the schedule type is set to 'periodic' type.periodicity objectpersistence_typebooleanEnable schedule persistence across device reboots.truefalseschedule_typestringenumType of the schedule. 'calendar' : Triggered at a specific calendar date and time. 'one-shot' : Triggered only once at a specific calendar date and time. 'periodic' : Triggered at specific periodic intervals.calendarone-shotperiodicAllowed:calendarone-shotperiodicstart_datestringlength between 10 and 10Specify the start date in format YYYY-MM-DD for the schedule.timestringlength between 5 and 5Specify the time in HH:MM format. This indicates the schedule time, if the schedule type is set to 'calendar' or 'one-shot'. And this indicates the start time, if the schedule type is set to 'periodic'. Note that 'time' needs to be specified in conjunction with either 'days_of_month' or 'days_of_week' if the schedule type is set to 'calendar'. And 'time' needs to be specified in conjunction with 'periodicity', if the schedule type is set to 'periodic'.Responses 201Created 400Bad Request 401Unauthorized 403Forbidden 404Not Found 415Unsupported Media Type 500Internal Server Error 501Not Implemented 503Service UnavailableUpdated over 4 years ago